<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE xsl:stylesheet SYSTEM "TIBCO BusinessWorks Coverage Report.dtd">
<xsl:stylesheet version="2.0"
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:gfn="http://www.greenhatsoftware.com/Functions.xsl"
	exclude-result-prefixes="gfn">

	<xsl:output method="html" encoding="UTF-8" indent="yes" />

	<xsl:include href="Utils/Functions.xsl" />

	<!-- externalisations -->
	<xsl:variable name="bwCoverageReport.title">
		<xsl:text>&bwCoverageReport.title;</xsl:text>
	</xsl:variable>
	<xsl:variable name="bwCoverageReport.summary">
		<xsl:text>&bwCoverageReport.summary;</xsl:text>
	</xsl:variable>
	<xsl:variable name="bwCoverageReport.process">
		<xsl:text>&bwCoverageReport.process;</xsl:text>
	</xsl:variable>
	<xsl:variable name="bwCoverageReport.activitiesRun">
		<xsl:text>&bwCoverageReport.activitiesRun;</xsl:text>
	</xsl:variable>
	<xsl:variable name="bwCoverageReport.activitiesMissed">
		<xsl:text>&bwCoverageReport.activitiesMissed;</xsl:text>
	</xsl:variable>
	<xsl:variable name="bwCoverageReport.coverage">
		<xsl:text>&bwCoverageReport.coverage;</xsl:text>
	</xsl:variable>
	<xsl:variable name="bwCoverageReport.total">
		<xsl:text>&bwCoverageReport.total;</xsl:text>
	</xsl:variable>
	<xsl:variable name="bwCoverageReport.detail">
		<xsl:text>&bwCoverageReport.detail;</xsl:text>
	</xsl:variable>
	<xsl:variable name="bwCoverageReport.detailActivitiesMissed">
		<xsl:text>&bwCoverageReport.detailActivitiesMissed;</xsl:text>
	</xsl:variable>
	<xsl:variable name="bwCoverageReport.detailActivitiesCovered">
		<xsl:text>&bwCoverageReport.detailActivitiesCovered;</xsl:text>
	</xsl:variable>
	<xsl:variable name="bwCoverageReport.activity">
		<xsl:text>&bwCoverageReport.activity;</xsl:text>
	</xsl:variable>
	<xsl:variable name="bwCoverageReport.timesCalled">
		<xsl:text>&bwCoverageReport.timesCalled;</xsl:text>
	</xsl:variable>
	<xsl:variable name="bwCoverageReport.minTime">
		<xsl:text>&bwCoverageReport.minTime;</xsl:text>
	</xsl:variable>
	<xsl:variable name="bwCoverageReport.maxTime">
		<xsl:text>&bwCoverageReport.maxTime;</xsl:text>
	</xsl:variable>
	<xsl:variable name="bwCoverageReport.avgTime">
		<xsl:text>&bwCoverageReport.avgTime;</xsl:text>
	</xsl:variable>
	<xsl:variable name="bwCoverageReport.totalTime">
		<xsl:text>&bwCoverageReport.totalTime;</xsl:text>
	</xsl:variable>
	<xsl:variable name="bwCoverageReport.percentageString">
		<xsl:text>&bwCoverageReport.percentageString;</xsl:text>
	</xsl:variable>
	<xsl:variable name="bwCoverageReport.nameAndPercentCoverage">
		<xsl:text>&bwCoverageReport.nameAndPercentCoverage;</xsl:text>
	</xsl:variable>

	<xsl:template match="/">
		<xsl:variable name="y" select="//coverage[1]" />
		<html>
			<head>
				<title>
					<xsl:value-of select="$bwCoverageReport.title" />
				</title>
				<link rel="stylesheet" type="text/css" href="resourcestyle.css" />
				<link rel="stylesheet" type="text/css" href="vanilla.css" />
			</head>
			<body>
				<h1>
					<xsl:value-of select="$bwCoverageReport.title" />
				</h1>
				<h2>
					<xsl:value-of select="$bwCoverageReport.summary" />
				</h2>
				<div>
					<table>
						<thead>
							<tr>
								<th class="left">
									<xsl:value-of select="$bwCoverageReport.process" />
								</th>
								<th>
									<xsl:value-of select="$bwCoverageReport.activitiesRun" />
								</th>
								<th>
									<xsl:value-of select="$bwCoverageReport.activitiesMissed" />
								</th>
								<th>
									<xsl:value-of select="$bwCoverageReport.coverage" />
								</th>
							</tr>
						</thead>
						<tbody>
							<xsl:for-each select="$y/processes/process">
								<tr>
									<td class="left">
										<xsl:value-of select="@name" />
									</td>
									<td>
										<xsl:value-of select="count(activities/activity[@frq > 0])" />
									</td>
									<td>
										<xsl:value-of select="count(activities/activity[not(@frq > 0)])" />
									</td>
									<td>
										<xsl:value-of
											select="gfn:getRoundPercentage(count(activities/activity[@frq > 0]), count(activities/activity))" />
									</td>
								</tr>
							</xsl:for-each>
						</tbody>
						<tfoot>
							<tr>
								<th class="left">
									<xsl:value-of select="$bwCoverageReport.total" />
								</th>
								<th>
									<xsl:value-of
										select="count($y/processes/process/activities/activity[@frq > 0])" />
								</th>
								<th>
									<xsl:value-of
										select="count($y/processes/process/activities/activity[not(@frq > 0)])" />
								</th>
								<th>
									<xsl:value-of
										select="gfn:formatString($bwCoverageReport.percentageString,round(100 * avg( for $x in $y/processes/process return if ($x/activities/activity) then count($x/activities/activity[@frq > 0]) div count($x/activities/activity) else 0)))" />
								</th>
							</tr>
						</tfoot>
					</table>
				</div>
				<xsl:if test="$y/processes/process[activities/activity[@frq > 0]]">
					<h2>
						<xsl:value-of select="$bwCoverageReport.detail" />
					</h2>
					<xsl:for-each select="$y/processes/process[activities/activity[@frq > 0]]">
						<h3>
							<xsl:value-of
								select="gfn:formatString($bwCoverageReport.nameAndPercentCoverage,@name,round(100 * count(activities/activity[@frq > 0]) div count(activities/activity)))" />
						</h3>
						<div>
							<xsl:if test="activities/activity[not(@frq > 0)]">
								<h4>
									<xsl:value-of select="$bwCoverageReport.detailActivitiesMissed" />
								</h4>
								<ul>
									<xsl:for-each select="activities/activity[not(@frq > 0)]">
										<li>
											<xsl:value-of select="@name" />
										</li>
									</xsl:for-each>
								</ul>
							</xsl:if>
							<xsl:if test="activities/activity[@frq > 0]">
								<h4>
									<xsl:value-of select="$bwCoverageReport.detailActivitiesCovered" />
								</h4>
								<table>
									<thead>
										<tr>
											<th class="left">
												<xsl:value-of select="$bwCoverageReport.activity" />
											</th>
											<th>
												<xsl:value-of select="$bwCoverageReport.timesCalled" />
											</th>
											<th>
												<xsl:value-of select="$bwCoverageReport.minTime" />
											</th>
											<th>
												<xsl:value-of select="$bwCoverageReport.maxTime" />
											</th>
											<th>
												<xsl:value-of select="$bwCoverageReport.avgTime" />
											</th>
											<th>
												<xsl:value-of select="$bwCoverageReport.totalTime" />
											</th>
										</tr>
									</thead>
									<tbody>
										<xsl:for-each select="activities/activity[@frq > 0]">
											<tr>
												<td class="left">
													<xsl:value-of select="@name" />
												</td>
												<td>
													<xsl:value-of select="@frq" />
												</td>
												<td>
													<xsl:value-of select="@min" />
												</td>
												<td>
													<xsl:value-of select="@max" />
												</td>
												<td>
													<xsl:value-of select="@avg" />
												</td>
												<td>
													<xsl:value-of select="@sum" />
												</td>
											</tr>
										</xsl:for-each>
									</tbody>
								</table>
							</xsl:if>
						</div>
					</xsl:for-each>
				</xsl:if>
			</body>
		</html>
	</xsl:template>
</xsl:stylesheet>