<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE xsl:stylesheet SYSTEM "TIBCO BusinessWorks Error Report.dtd">
<xsl:stylesheet version="2.0"
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

	<xsl:output method="html" encoding="UTF-8" indent="yes" />

	<!-- externalisations -->
	<xsl:variable name="bwErrorReport.title">
		<xsl:text>&bwErrorReport.title;</xsl:text>
	</xsl:variable>
	<xsl:variable name="bwErrorReport.summary">
		<xsl:text>&bwErrorReport.summary;</xsl:text>
	</xsl:variable>
	<xsl:variable name="bwErrorReport.process">
		<xsl:text>&bwErrorReport.process;</xsl:text>
	</xsl:variable>
	<xsl:variable name="bwErrorReport.activitiesErrored">
		<xsl:text>&bwErrorReport.activitiesErrored;</xsl:text>
	</xsl:variable>
	<xsl:variable name="bwErrorReport.total">
		<xsl:text>&bwErrorReport.total;</xsl:text>
	</xsl:variable>
	<xsl:variable name="bwErrorReport.detail">
		<xsl:text>&bwErrorReport.detail;</xsl:text>
	</xsl:variable>
	<xsl:variable name="bwErrorReport.detailActivitiesErrored">
		<xsl:text>&bwErrorReport.detailActivitiesErrored;</xsl:text>
	</xsl:variable>
	<xsl:variable name="bwErrorReport.time">
		<xsl:text>&bwErrorReport.time;</xsl:text>
	</xsl:variable>
	<xsl:variable name="bwErrorReport.activity">
		<xsl:text>&bwErrorReport.activity;</xsl:text>
	</xsl:variable>
	<xsl:variable name="bwErrorReport.jobId">
		<xsl:text>&bwErrorReport.jobId;</xsl:text>
	</xsl:variable>
	<xsl:variable name="bwErrorReport.errorText">
		<xsl:text>&bwErrorReport.errorText;</xsl:text>
	</xsl:variable>
	<xsl:variable name="bwErrorReport.totalTime">
		<xsl:text>&bwErrorReport.totalTime;</xsl:text>
	</xsl:variable>

	<xsl:template match="/">
		<xsl:variable name="y" select="//coverage[1]" />
		<html>
			<head>
				<title>
					<xsl:value-of select="$bwErrorReport.title" />
				</title>
				<link rel="stylesheet" type="text/css" href="resourcestyle.css" />
				<link rel="stylesheet" type="text/css" href="vanilla.css" />
			</head>
			<body>
				<h1>
					<xsl:value-of select="$bwErrorReport.title" />
				</h1>
				<h2>
					<xsl:value-of select="$bwErrorReport.summary" />
				</h2>
				<div>
					<table>
						<thead>
							<tr>
								<th class="left">
									<xsl:value-of select="$bwErrorReport.process" />
								</th>
								<th>
									<xsl:value-of select="$bwErrorReport.activitiesErrored" />
								</th>
							</tr>
						</thead>
						<tbody>
							<xsl:for-each select="$y/processes/process[activities/activity[errors]]">
								<tr>
									<td class="left">
										<xsl:value-of select="@name" />
									</td>
									<td>
										<xsl:value-of select="count(activities/activity[errors])" />
									</td>
								</tr>
							</xsl:for-each>
						</tbody>
						<tfoot>
							<tr>
								<th class="left">
									<xsl:value-of select="$bwErrorReport.total" />
								</th>
								<th>
									<xsl:value-of
										select="count($y/processes/process/activities/activity[errors])" />
								</th>
							</tr>
						</tfoot>
					</table>
				</div>
				<xsl:if test="$y/processes/process[activities/activity[errors]]">
					<h2>
						<xsl:value-of select="$bwErrorReport.detail" />
					</h2>
					<xsl:for-each select="$y/processes/process[activities/activity[errors]]">
						<h3>
							<xsl:value-of select="@name" />
						</h3>
						<div>
							<h4>
								<xsl:value-of select="$bwErrorReport.detailActivitiesErrored" />
							</h4>
							<table class="error">
								<thead>
									<tr>
										<th clas="left">
											<xsl:value-of select="$bwErrorReport.time" />
										</th>
										<th>
											<xsl:value-of select="$bwErrorReport.activity" />
										</th>
										<th>
											<xsl:value-of select="$bwErrorReport.jobId" />
										</th>
										<th clas="left">
											<xsl:value-of select="$bwErrorReport.errorText" />
										</th>
									</tr>
								</thead>
								<tbody>
									<xsl:for-each select="activities/activity/errors/error/job">
										<tr>
											<td clas="left">
												<xsl:value-of select="@time" />
											</td>
											<td>
												<xsl:value-of select="../../../@name" />
											</td>
											<td>
												<xsl:value-of select="@ref" />
											</td>
											<td clas="left">
												<xsl:value-of select="../@inline" />
											</td>
										</tr>
										<xsl:if test="string-length(text()) > 0">
											<tr>
												<td colspan="4" class="error">
													<pre>
														<xsl:value-of select="text()" />
													</pre>
												</td>
											</tr>
										</xsl:if>
									</xsl:for-each>
								</tbody>
							</table>
						</div>
					</xsl:for-each>
				</xsl:if>
			</body>
		</html>
	</xsl:template>
</xsl:stylesheet>