<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE xsl:stylesheet SYSTEM "webMethods Integration Server Coverage Report.dtd">
<xsl:stylesheet version="2.0"
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:gfn="http://www.greenhatsoftware.com/Functions.xsl"
	exclude-result-prefixes="gfn">

	<xsl:output method="html" encoding="UTF-8" indent="yes" />

	<xsl:include href="Utils/Functions.xsl" />

	<!-- externalisations -->
	<xsl:variable name="wmisCoverageReport.title">
		<xsl:text>&wmisCoverageReport.title;</xsl:text>
	</xsl:variable>
	<xsl:variable name="wmisCoverageReport.summary">
		<xsl:text>&wmisCoverageReport.summary;</xsl:text>
	</xsl:variable>
	<xsl:variable name="wmisCoverageReport.process">
		<xsl:text>&wmisCoverageReport.process;</xsl:text>
	</xsl:variable>
	<xsl:variable name="wmisCoverageReport.activitiesRun">
		<xsl:text>&wmisCoverageReport.activitiesRun;</xsl:text>
	</xsl:variable>
	<xsl:variable name="wmisCoverageReport.activitiesMissed">
		<xsl:text>&wmisCoverageReport.activitiesMissed;</xsl:text>
	</xsl:variable>
	<xsl:variable name="wmisCoverageReport.coverage">
		<xsl:text>&wmisCoverageReport.coverage;</xsl:text>
	</xsl:variable>
	<xsl:variable name="wmisCoverageReport.total">
		<xsl:text>&wmisCoverageReport.total;</xsl:text>
	</xsl:variable>
	<xsl:variable name="wmisCoverageReport.detail">
		<xsl:text>&wmisCoverageReport.detail;</xsl:text>
	</xsl:variable>
	<xsl:variable name="wmisCoverageReport.detailActivitiesMissed">
		<xsl:text>&wmisCoverageReport.detailActivitiesMissed;</xsl:text>
	</xsl:variable>
	<xsl:variable name="wmisCoverageReport.detailActivitiesCovered">
		<xsl:text>&wmisCoverageReport.detailActivitiesCovered;</xsl:text>
	</xsl:variable>
	<xsl:variable name="wmisCoverageReport.activity">
		<xsl:text>&wmisCoverageReport.activity;</xsl:text>
	</xsl:variable>
	<xsl:variable name="wmisCoverageReport.timesCalled">
		<xsl:text>&wmisCoverageReport.timesCalled;</xsl:text>
	</xsl:variable>
	<xsl:variable name="wmisCoverageReport.minTime">
		<xsl:text>&wmisCoverageReport.minTime;</xsl:text>
	</xsl:variable>
	<xsl:variable name="wmisCoverageReport.maxTime">
		<xsl:text>&wmisCoverageReport.maxTime;</xsl:text>
	</xsl:variable>
	<xsl:variable name="wmisCoverageReport.avgTime">
		<xsl:text>&wmisCoverageReport.avgTime;</xsl:text>
	</xsl:variable>
	<xsl:variable name="wmisCoverageReport.totalTime">
		<xsl:text>&wmisCoverageReport.totalTime;</xsl:text>
	</xsl:variable>
	<xsl:variable name="wmisCoverageReport.percentageString">
		<xsl:text>&wmisCoverageReport.percentageString;</xsl:text>
	</xsl:variable>
	<xsl:variable name="wmisCoverageReport.nameAndPercentCoverage">
		<xsl:text>&wmisCoverageReport.nameAndPercentCoverage;</xsl:text>
	</xsl:variable>

	<xsl:template match="/">
		<xsl:variable name="y" select="//coverage[1]" />
		<html>
			<head>
				<title>
					<xsl:value-of select="$wmisCoverageReport.title" />
				</title>
				<link rel="stylesheet" type="text/css" href="resourcestyle.css" />
				<link rel="stylesheet" type="text/css" href="vanilla.css" />
			</head>
			<body>
				<h1>
					<xsl:value-of select="$wmisCoverageReport.title" />
				</h1>
				<h2>
					<xsl:value-of select="$wmisCoverageReport.summary" />
				</h2>
				<div>
					<table>
						<thead>
							<tr>
								<th class="left">
									<xsl:value-of select="$wmisCoverageReport.process" />
								</th>
								<th>
									<xsl:value-of select="$wmisCoverageReport.activitiesRun" />
								</th>
								<th>
									<xsl:value-of select="$wmisCoverageReport.activitiesMissed" />
								</th>
								<th>
									<xsl:value-of select="$wmisCoverageReport.coverage" />
								</th>
							</tr>
						</thead>
						<tbody>
							<xsl:for-each select="$y/processes/process">
								<tr>
									<td class="left">
										<xsl:value-of select="@name" />
									</td>
									<td>
										<xsl:value-of select="count(activities/activity[@frq > 0])" />
									</td>
									<td>
										<xsl:value-of select="count(activities/activity[not(@frq > 0)])" />
									</td>
									<td>
										<xsl:value-of
											select="gfn:getRoundPercentage(count(activities/activity[@frq > 0]),count(activities/activity))" />
									</td>
								</tr>
							</xsl:for-each>
						</tbody>
						<tfoot>
							<tr>
								<th class="left">
									<xsl:value-of select="$wmisCoverageReport.total" />
								</th>
								<th>
									<xsl:value-of
										select="count($y/processes/process/activities/activity[@frq > 0])" />
								</th>
								<th>
									<xsl:value-of
										select="count($y/processes/process/activities/activity[not(@frq > 0)])" />
								</th>
								<th>
									<xsl:value-of
										select="gfn:formatString($wmisCoverageReport.percentageString,round(100 * avg( for $x in $y/processes/process return if ($x/activities/activity) then count($x/activities/activity[@frq > 0]) div count($x/activities/activity) else 0)))" />
								</th>
							</tr>
						</tfoot>
					</table>
				</div>
				<xsl:if test="$y/processes/process[activities/activity[@frq > 0]]">
					<h2>
						<xsl:value-of select="$wmisCoverageReport.detail" />
					</h2>
					<xsl:for-each select="$y/processes/process[activities/activity[@frq > 0]]">
						<h3>
							<xsl:value-of
								select="gfn:formatString($wmisCoverageReport.nameAndPercentCoverage,@name,round(100 * count(activities/activity[@frq > 0]) div count(activities/activity)))" />
						</h3>
						<div>
							<xsl:if test="activities/activity[not(@frq > 0)]">
								<h4>
									<xsl:value-of select="$wmisCoverageReport.detailActivitiesMissed" />
								</h4>
								<ul>
									<xsl:for-each select="activities/activity[not(@frq > 0)]">
										<li>
											<xsl:value-of select="@name" />
										</li>
									</xsl:for-each>
								</ul>
							</xsl:if>
							<xsl:if test="activities/activity[@frq > 0]">
								<h4>
									<xsl:value-of select="$wmisCoverageReport.detailActivitiesCovered" />
								</h4>
								<table>
									<thead>
										<tr>
											<th class="left">
												<xsl:value-of select="$wmisCoverageReport.activity" />
											</th>
											<th>
												<xsl:value-of select="$wmisCoverageReport.timesCalled" />
											</th>
											<th>
												<xsl:value-of select="$wmisCoverageReport.minTime" />
											</th>
											<th>
												<xsl:value-of select="$wmisCoverageReport.maxTime" />
											</th>
											<th>
												<xsl:value-of select="$wmisCoverageReport.avgTime" />
											</th>
											<th>
												<xsl:value-of select="$wmisCoverageReport.totalTime" />
											</th>
										</tr>
									</thead>
									<tbody>
										<xsl:for-each select="activities/activity[@frq > 0]">
											<tr>
												<td class="left">
													<xsl:value-of select="@name" />
												</td>
												<td>
													<xsl:value-of select="@frq" />
												</td>
												<td>
													<xsl:value-of select="@min" />
												</td>
												<td>
													<xsl:value-of select="@max" />
												</td>
												<td>
													<xsl:value-of select="@avg" />
												</td>
												<td>
													<xsl:value-of select="@sum" />
												</td>
											</tr>
										</xsl:for-each>
									</tbody>
								</table>
							</xsl:if>
						</div>
					</xsl:for-each>
				</xsl:if>
			</body>
		</html>
	</xsl:template>
</xsl:stylesheet>