<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE xsl:stylesheet SYSTEM "lookupTestData.dtd">
<xsl:stylesheet version="2.0"
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

	<!-- externalisations -->
	<xsl:variable name="lookupTestData.label">
		<xsl:text>&lookupTestData.label;</xsl:text>
	</xsl:variable>

	<xsl:template match="lookupTestData" mode="summary">
		<xsl:call-template name="processSummaryRow" />
		<xsl:apply-templates select="*" mode="summary" />
	</xsl:template>

	<xsl:template match="lookupTestData" mode="label">
		<xsl:value-of select="$lookupTestData.label" />
	</xsl:template>

	<xsl:template match="lookupTestData">
		<xsl:call-template name="addActionInfo" />
		<table class="faux">
			<xsl:call-template name="reportCommonInfo" />
			<xsl:call-template name="reportEvalResult" />
			<xsl:call-template name="reportValidationError" />
		</table>
		<xsl:apply-templates select="*" />
	</xsl:template>

	<xsl:template name="reportEvalResult">
		<xsl:call-template name="copyAttribute">
			<xsl:with-param name="attribute" select="$EVAL_RESULT" />
			<xsl:with-param name="outputAttribute" select="$EVAL_RESULT_OUTPUT" />
		</xsl:call-template>
	</xsl:template>
</xsl:stylesheet>
