--
-- Migrate database from schema version 1.9.24.a to 1.9.24.c
--
ALTER TABLE [EXECUTION]
ADD [ROOT_ID] [numeric] (19);
GO

ALTER TABLE [EXECUTION]
ADD [ENVIRONMENT] [numeric] (19);
GO

ALTER TABLE [EXECUTION]
ADD FOREIGN KEY ([ROOT_ID])
REFERENCES [EXECUTION] ([ID]);
GO

ALTER TABLE [EXECUTION]
ADD FOREIGN KEY ([ENVIRONMENT])
REFERENCES [APPMODELITEM] ([ID]);
GO

CREATE INDEX [ACTION_ACTIONTYPEID_FK] ON [ACTION] ([ACTIONTYPE_ID]);
GO

CREATE INDEX [ACTION_EXECUTION_ACTIONID_FK] ON [ACTION_EXECUTION] ([ACTION_ID]);
GO

CREATE INDEX [APPMODELITEM_APPMODELTYPEID_FK] ON [APPMODELITEM] ([APPMODELTYPE_ID]);
GO

CREATE INDEX [APPMODELITEM_PARENTID_FK] ON [APPMODELITEM] ([PARENT_ID]);
GO

CREATE INDEX [BWACTIVITY_TS_EXECUTIONID_FK] ON [BWACTIVITY_TS] ([EXECUTION_ID]);
GO

CREATE INDEX [BWACTIVITY_TS_BWACTIVITYMRV_FK] ON [BWACTIVITY_TS] ([BWACTIVITY_MRV_ID]);
GO

CREATE INDEX [BWHOST_TS_EXECUTIONID_FK] ON [BWHOST_TS] ([EXECUTION_ID]);
GO

CREATE INDEX [BWHOST_TS_BWHOSTMRVID_FK] ON [BWHOST_TS] ([BWHOST_MRV_ID]);
GO

CREATE INDEX [BWPROC_TS_EXECUTIONID_FK] ON [BWPROC_TS] ([EXECUTION_ID]);
GO

CREATE INDEX [BWPROC_TS_BWPROCMRVID_FK] ON [BWPROC_TS] ([BWPROC_MRV_ID]);
GO

CREATE INDEX [COVERAGE_EXECUTIONID_FK] ON [COVERAGE] ([EXECUTION_ID]);
GO

CREATE INDEX [DETAIL_EXECUTION_ACTIONEXEC_FK] ON [DETAIL_EXECUTION] ([ACTION_EXECUTION_ID]);
GO

CREATE INDEX [DETAIL_EXECUTION_APPMODELIT_FK] ON [DETAIL_EXECUTION] ([APPMODELITEM_ID]);
GO

CREATE INDEX [DQGROUP_TS_EXECUTIONID_FK] ON [DQGROUP_TS] ([EXECUTION_ID]);
GO

CREATE INDEX [DQGROUP_TS_DQGROUPMRVID_FK] ON [DQGROUP_TS] ([DQGROUP_MRV_ID]);
GO

CREATE INDEX [DQMEMBER_TS_EXECUTIONID_FK] ON [DQMEMBER_TS] ([EXECUTION_ID]);
GO

CREATE INDEX [DQMEMBER_TS_DQMEMBERMRVID_FK] ON [DQMEMBER_TS] ([DQMEMBER_MRV_ID]);
GO

CREATE INDEX [DT_EXECUTIONID_FK] ON [DT] ([EXECUTION_ID]);
GO

CREATE INDEX [DT_HISTORY_AGENTID_FK] ON [DT_HISTORY] ([AGENT_ID]);
GO

CREATE INDEX [DT_HISTORY_DTID_FK] ON [DT_HISTORY] ([DT_ID]);
GO

CREATE INDEX [EMS_QUEUE_TS_EXECUTIONID_FK] ON [EMS_QUEUE_TS] ([EXECUTION_ID]);
GO

CREATE INDEX [EMS_QUEUE_TS_EMSQUEUEMRVID_FK] ON [EMS_QUEUE_TS] ([EMS_QUEUE_MRV_ID]);
GO

CREATE INDEX [EMS_ROUTE_TS_EXECUTIONID_FK] ON [EMS_ROUTE_TS] ([EXECUTION_ID]);
GO

CREATE INDEX [EMS_ROUTE_TS_EMSROUTEMRVID_FK] ON [EMS_ROUTE_TS] ([EMS_ROUTE_MRV_ID]);
GO

CREATE INDEX [EMS_SERVER_TS_EXECUTIONID_FK] ON [EMS_SERVER_TS] ([EXECUTION_ID]);
GO

CREATE INDEX [EMS_SERVER_TS_EMSSERVERMRVI_FK] ON [EMS_SERVER_TS] ([EMS_SERVER_MRV_ID]);
GO

CREATE INDEX [EMS_TOPIC_TS_EXECUTIONID_FK] ON [EMS_TOPIC_TS] ([EXECUTION_ID]);
GO

CREATE INDEX [EMS_TOPIC_TS_EMSTOPICMRVID_FK] ON [EMS_TOPIC_TS] ([EMS_TOPIC_MRV_ID]);
GO

CREATE INDEX [EXECUTION_PARENTID_FK] ON [EXECUTION] ([PARENT_ID]);
GO

CREATE INDEX [EXECUTION_STATUSID_FK] ON [EXECUTION] ([STATUS_ID]);
GO

CREATE INDEX [EXECUTION_ROOTID_FK] ON [EXECUTION] ([ROOT_ID]);
GO

CREATE INDEX [EXECUTION_ENVIRONMENT_FK] ON [EXECUTION] ([ENVIRONMENT]);
GO

CREATE INDEX [EXECUTION_LOCK_PERSONID_FK] ON [EXECUTION_LOCK] ([PERSON_ID]);
GO

CREATE INDEX [FLEX_DOUBLE_EVENT_FK] ON [FLEX_DOUBLE] ([EVENT]);
GO

CREATE INDEX [FLEX_LONG_EVENT_FK] ON [FLEX_LONG] ([EVENT]);
GO

CREATE INDEX [ITER_HISTORY_DTHISTID_FK] ON [ITER_HISTORY] ([DT_HIST_ID]);
GO

CREATE INDEX [LOGMEASUREMENT_MRV_ATTRID1_FK] ON [LOGMEASUREMENT_MRV] ([ATTR_ID_1]);
GO

CREATE INDEX [LOGMEASUREMENT_MRV_ATTRID2_FK] ON [LOGMEASUREMENT_MRV] ([ATTR_ID_2]);
GO

CREATE INDEX [LOGMEASUREMENT_MRV_ATTRID3_FK] ON [LOGMEASUREMENT_MRV] ([ATTR_ID_3]);
GO

CREATE INDEX [LOGMEASUREMENT_MRV_ATTRID4_FK] ON [LOGMEASUREMENT_MRV] ([ATTR_ID_4]);
GO

CREATE INDEX [LOGMEASUREMENT_MRV_ATTRID5_FK] ON [LOGMEASUREMENT_MRV] ([ATTR_ID_5]);
GO

CREATE INDEX [LOGMEASUREMENT_TS_EXECUTION_FK] ON [LOGMEASUREMENT_TS] ([EXECUTION_ID]);
GO

CREATE INDEX [LOGMEASUREMENT_TS_LOGMEASUR_FK] ON [LOGMEASUREMENT_TS] ([LOGMEASUREMENT_MRV_ID]);
GO

CREATE INDEX [LOGMEASUREMENT_TS_CTRID1_FK] ON [LOGMEASUREMENT_TS] ([CTR_ID_1]);
GO

CREATE INDEX [LOGMEASUREMENT_TS_CTRID2_FK] ON [LOGMEASUREMENT_TS] ([CTR_ID_2]);
GO

CREATE INDEX [LOGMEASUREMENT_TS_CTRID3_FK] ON [LOGMEASUREMENT_TS] ([CTR_ID_3]);
GO

CREATE INDEX [LOGMEASUREMENT_TS_CTRID4_FK] ON [LOGMEASUREMENT_TS] ([CTR_ID_4]);
GO

CREATE INDEX [LOGMEASUREMENT_TS_CTRID5_FK] ON [LOGMEASUREMENT_TS] ([CTR_ID_5]);
GO

CREATE INDEX [LOGMEASUREMENT_TS_CTRID6_FK] ON [LOGMEASUREMENT_TS] ([CTR_ID_6]);
GO

CREATE INDEX [LOGMEASUREMENT_TS_CTRID7_FK] ON [LOGMEASUREMENT_TS] ([CTR_ID_7]);
GO

CREATE INDEX [LOGMEASUREMENT_TS_CTRID8_FK] ON [LOGMEASUREMENT_TS] ([CTR_ID_8]);
GO

CREATE INDEX [LOGMEASUREMENT_TS_STRCTRID1_FK] ON [LOGMEASUREMENT_TS] ([STRCTR_ID_1]);
GO

CREATE INDEX [LOGMEASUREMENT_TS_STRCTRID2_FK] ON [LOGMEASUREMENT_TS] ([STRCTR_ID_2]);
GO

CREATE INDEX [LOGMEASUREMENT_TS_STRCTRID3_FK] ON [LOGMEASUREMENT_TS] ([STRCTR_ID_3]);
GO

CREATE INDEX [LOGMEASUREMENT_TS_STRCTRID4_FK] ON [LOGMEASUREMENT_TS] ([STRCTR_ID_4]);
GO

CREATE INDEX [PERFORM_CHARTS_PROJECTID_FK] ON [PERFORM_CHARTS] ([PROJECT_ID]);
GO

CREATE INDEX [PERFORM_CHARTS_EXECUTIONID_FK] ON [PERFORM_CHARTS] ([EXECUTION_ID]);
GO

CREATE INDEX [PERFORM_EXECUTION_APPMODELI_FK] ON [PERFORM_EXECUTION] ([APPMODELITEM_ID]);
GO

CREATE INDEX [RVHI_TS_EXECUTIONID_FK] ON [RVHI_TS] ([EXECUTION_ID]);
GO

CREATE INDEX [RVHI_TS_RVHIMRVID_FK] ON [RVHI_TS] ([RVHI_MRV_ID]);
GO

CREATE INDEX [RVTRACE_MULTICAST_TS_EXECUT_FK] ON [RVTRACE_MULTICAST_TS] ([EXECUTION_ID]);
GO

CREATE INDEX [RVTRACE_MULTICAST_TS_RVTRAC_FK] ON [RVTRACE_MULTICAST_TS] ([RVTRACE_MULTICAST_MRV_ID]);
GO

CREATE INDEX [RVTRACE_NETWORK_TS_EXECUTIO_FK] ON [RVTRACE_NETWORK_TS] ([EXECUTION_ID]);
GO

CREATE INDEX [RVTRACE_NETWORK_TS_RVTRACEN_FK] ON [RVTRACE_NETWORK_TS] ([RVTRACE_NETWORK_MRV_ID]);
GO

CREATE INDEX [RVTRACE_PTP_TS_EXECUTIONID_FK] ON [RVTRACE_PTP_TS] ([EXECUTION_ID]);
GO

CREATE INDEX [RVTRACE_PTP_TS_RVTRACEPTPMR_FK] ON [RVTRACE_PTP_TS] ([RVTRACE_PTP_MRV_ID]);
GO

CREATE INDEX [RVTRACE_RETRANS_TS_EXECUTIO_FK] ON [RVTRACE_RETRANS_TS] ([EXECUTION_ID]);
GO

CREATE INDEX [RVTRACE_RETRANS_TS_RVTRACER_FK] ON [RVTRACE_RETRANS_TS] ([RVTRACE_RETRANS_MRV_ID]);
GO

CREATE INDEX [RVTRACE_SUBJECT_TS_EXECUTIO_FK] ON [RVTRACE_SUBJECT_TS] ([EXECUTION_ID]);
GO

CREATE INDEX [RVTRACE_SUBJECT_TS_RVTRACES_FK] ON [RVTRACE_SUBJECT_TS] ([RVTRACE_SUBJECT_MRV_ID]);
GO

CREATE INDEX [SCENARIO_EXECUTION_SCENARIO_FK] ON [SCENARIO_EXECUTION] ([SCENARIO_ID]);
GO

CREATE INDEX [SONIC_AGENT_TS_EXECUTIONID_FK] ON [SONIC_AGENT_TS] ([EXECUTION_ID]);
GO

CREATE INDEX [SONIC_AGENT_TS_SONICAGENTMR_FK] ON [SONIC_AGENT_TS] ([SONIC_AGENT_MRV_ID]);
GO

CREATE INDEX [SONIC_BROKER_TS_EXECUTIONID_FK] ON [SONIC_BROKER_TS] ([EXECUTION_ID]);
GO

CREATE INDEX [SONIC_BROKER_TS_SONICBROKER_FK] ON [SONIC_BROKER_TS] ([SONIC_BROKER_MRV_ID]);
GO

CREATE INDEX [SONIC_CONNS_TS_EXECUTIONID_FK] ON [SONIC_CONNS_TS] ([EXECUTION_ID]);
GO

CREATE INDEX [SONIC_CONNS_TS_SONICCONNSMR_FK] ON [SONIC_CONNS_TS] ([SONIC_CONNS_MRV_ID]);
GO

CREATE INDEX [SONIC_QUEUE_TS_EXECUTIONID_FK] ON [SONIC_QUEUE_TS] ([EXECUTION_ID]);
GO

CREATE INDEX [SONIC_QUEUE_TS_SONICQUEUEMR_FK] ON [SONIC_QUEUE_TS] ([SONIC_QUEUE_MRV_ID]);
GO

CREATE INDEX [SUITE_EXECUTION_ACTIONEXECU_FK] ON [SUITE_EXECUTION] ([ACTION_EXECUTION_ID]);
GO

CREATE INDEX [SUITE_EXECUTION_APPMODELITE_FK] ON [SUITE_EXECUTION] ([APPMODELITEM_ID]);
GO

CREATE INDEX [SYSSTAT_PROC_STATS_TS_EXECU_FK] ON [SYSSTAT_PROC_STATS_TS] ([EXECUTION_ID]);
GO

CREATE INDEX [SYSSTAT_PROC_STATS_TS_SYSST_FK] ON [SYSSTAT_PROC_STATS_TS] ([SYSSTAT_PROC_STATS_MRV_ID]);
GO

CREATE INDEX [SYSSTAT_SYS_STATS_TS_EXECUT_FK] ON [SYSSTAT_SYS_STATS_TS] ([EXECUTION_ID]);
GO

CREATE INDEX [SYSSTAT_SYS_STATS_TS_SYSSTA_FK] ON [SYSSTAT_SYS_STATS_TS] ([SYSSTAT_SYS_STATS_MRV_ID]);
GO

CREATE INDEX [TESTENGINE_ENGINE_TS_EXECUT_FK] ON [TESTENGINE_ENGINE_TS] ([EXECUTION_ID]);
GO

CREATE INDEX [TESTENGINE_ENGINE_TS_TESTEN_FK] ON [TESTENGINE_ENGINE_TS] ([TESTENGINE_ENGINE_MRV_ID]);
GO

CREATE INDEX [TESTENGINE_SEQ_MRV_TESTENGI_FK] ON [TESTENGINE_SEQ_MRV] ([TESTENGINE_ENGINE_MRV_ID]);
GO

CREATE INDEX [TESTENGINE_SEQ_TS_EXECUTION_FK] ON [TESTENGINE_SEQ_TS] ([EXECUTION_ID]);
GO

CREATE INDEX [TESTENGINE_SEQ_TS_TESTENGIN_FK] ON [TESTENGINE_SEQ_TS] ([TESTENGINE_SEQ_MRV_ID]);
GO

CREATE INDEX [TESTENGINE_TRANS_MRV_TESTEN_FK] ON [TESTENGINE_TRANS_MRV] ([TESTENGINE_ENGINE_MRV_ID]);
GO

CREATE INDEX [TESTENGINE_TRANS_TS_EXECUTI_FK] ON [TESTENGINE_TRANS_TS] ([EXECUTION_ID]);
GO

CREATE INDEX [TESTENGINE_TRANS_TS_TESTENG_FK] ON [TESTENGINE_TRANS_TS] ([TESTENGINE_TRANS_MRV_ID]);
GO

CREATE INDEX [TESTER_SEQ_END_MRV_APPMODEL_FK] ON [TESTER_SEQ_END_MRV] ([APPMODELITEM_ID]);
GO

CREATE INDEX [TESTER_SEQ_END_TS_EXECUTION_FK] ON [TESTER_SEQ_END_TS] ([EXECUTION_ID]);
GO

CREATE INDEX [TESTER_SEQ_END_TS_TESTERSEQ_FK] ON [TESTER_SEQ_END_TS] ([TESTER_SEQ_END_MRV_ID]);
GO

CREATE INDEX [TESTER_SEQ_MRV_APPMODELITEM_FK] ON [TESTER_SEQ_MRV] ([APPMODELITEM_ID]);
GO

CREATE INDEX [TESTER_SEQ_TS_EXECUTIONID_FK] ON [TESTER_SEQ_TS] ([EXECUTION_ID]);
GO

CREATE INDEX [TESTER_SEQ_TS_TESTERSEQMRVI_FK] ON [TESTER_SEQ_TS] ([TESTER_SEQ_MRV_ID]);
GO

CREATE INDEX [TESTER_TRANS_END_MRV_APPMOD_FK] ON [TESTER_TRANS_END_MRV] ([APPMODELITEM_ID]);
GO

CREATE INDEX [TESTER_TRANS_END_TS_EXECUTI_FK] ON [TESTER_TRANS_END_TS] ([EXECUTION_ID]);
GO

CREATE INDEX [TESTER_TRANS_END_TS_TESTERT_FK] ON [TESTER_TRANS_END_TS] ([TESTER_TRANS_END_MRV_ID]);
GO

CREATE INDEX [TESTER_TRANS_MRV_APPMODELIT_FK] ON [TESTER_TRANS_MRV] ([APPMODELITEM_ID]);
GO

CREATE INDEX [TESTER_TRANS_TS_EXECUTIONID_FK] ON [TESTER_TRANS_TS] ([EXECUTION_ID]);
GO

CREATE INDEX [TESTER_TRANS_TS_TESTERTRANS_FK] ON [TESTER_TRANS_TS] ([TESTER_TRANS_MRV_ID]);
GO

CREATE INDEX [TRANS_HISTORY_TRANSID_FK] ON [TRANS_HISTORY] ([TRANS_ID]);
GO

CREATE INDEX [TRANS_HISTORY_ITERHISTID_FK] ON [TRANS_HISTORY] ([ITER_HIST_ID]);
GO

CREATE INDEX [WMBROKER_B_TS_WMBROKERBMRVI_FK] ON [WMBROKER_B_TS] ([WMBROKER_B_MRV_ID]);
GO

CREATE INDEX [WMBROKER_B_TS_EXECUTIONID_FK] ON [WMBROKER_B_TS] ([EXECUTION_ID]);
GO

CREATE INDEX [WMBROKER_CG_MRV_WMBROKERBMR_FK] ON [WMBROKER_CG_MRV] ([WMBROKER_B_MRV_ID]);
GO

CREATE INDEX [WMBROKER_CG_TS_WMBROKERCGMR_FK] ON [WMBROKER_CG_TS] ([WMBROKER_CG_MRV_ID]);
GO

CREATE INDEX [WMBROKER_CG_TS_EXECUTIONID_FK] ON [WMBROKER_CG_TS] ([EXECUTION_ID]);
GO

CREATE INDEX [WMBROKER_C_MRV_WMBROKERBMRV_FK] ON [WMBROKER_C_MRV] ([WMBROKER_B_MRV_ID]);
GO

CREATE INDEX [WMBROKER_C_TS_WMBROKERCMRVI_FK] ON [WMBROKER_C_TS] ([WMBROKER_C_MRV_ID]);
GO

CREATE INDEX [WMBROKER_C_TS_EXECUTIONID_FK] ON [WMBROKER_C_TS] ([EXECUTION_ID]);
GO

CREATE INDEX [WMBROKER_ET_MRV_WMBROKERBMR_FK] ON [WMBROKER_ET_MRV] ([WMBROKER_B_MRV_ID]);
GO

CREATE INDEX [WMBROKER_ET_TS_WMBROKERETMR_FK] ON [WMBROKER_ET_TS] ([WMBROKER_ET_MRV_ID]);
GO

CREATE INDEX [WMBROKER_ET_TS_EXECUTIONID_FK] ON [WMBROKER_ET_TS] ([EXECUTION_ID]);
GO

CREATE INDEX [WMIS_SERVER_TS_WMISSERVERMR_FK] ON [WMIS_SERVER_TS] ([WMIS_SERVER_MRV_ID]);
GO

CREATE INDEX [WMIS_SERVER_TS_EXECUTIONID_FK] ON [WMIS_SERVER_TS] ([EXECUTION_ID]);
GO

CREATE INDEX [WMIS_SERVICE_MRV_WMISSERVER_FK] ON [WMIS_SERVICE_MRV] ([WMIS_SERVER_MRV_ID]);
GO

CREATE INDEX [WMIS_SERVICE_TS_WMISSERVICE_FK] ON [WMIS_SERVICE_TS] ([WMIS_SERVICE_MRV_ID]);
GO

CREATE INDEX [WMIS_SERVICE_TS_EXECUTIONID_FK] ON [WMIS_SERVICE_TS] ([EXECUTION_ID]);
GO

CREATE TABLE [TEST_CYCLE](
 [ID]           [numeric] (19) IDENTITY (1, 1) NOT NULL,
 [EXECUTION_ID] [numeric] (19)    NOT NULL,
 [DISPLAY]      [varchar] (256)   NOT NULL,
 [COMMENTS]     [varchar] (4000),
 [IS_CLOSED]    [char] (1)        NOT NULL,
 [CREATED_BY]   [varchar] (256)   NOT NULL,
 [CREATE_DATE]  [numeric] (20)    NOT NULL,
 [CLOSED_BY]    [varchar] (256),
 [CLOSED_DATE]  [numeric] (20),
 CONSTRAINT [TEST_CYCLE_PK] PRIMARY KEY
 (
 [ID]
 ),
 CONSTRAINT [TEST_CYCLE_UNIQUE] UNIQUE
 (
 [DISPLAY]
 )
);
GO

CREATE TABLE [TEST_CYCLE_PROJECT](
 [ID]                   [numeric] (19) IDENTITY (1, 1) NOT NULL,
 [TEST_CYCLE_ID]        [numeric] (19) NOT NULL,
 [PROJECT_ID]           [numeric] (19) NOT NULL,
 [JOINED_DATE]          [numeric] (20) NOT NULL,
 [ALL_ENVIRONMENTS]     [char] (1)     NOT NULL,
 [ALLOW_EXTERNAL_TOOLS] [char] (1)     NOT NULL,
 [IS_JOINED]            [char] (1)     NOT NULL,
 CONSTRAINT [TEST_CYCLE_PROJECT_PK] PRIMARY KEY
 (
 [ID]
 ),
 CONSTRAINT [TRP_UNIQUE] UNIQUE
 (
 [TEST_CYCLE_ID],
 [PROJECT_ID]
 )
);
GO

CREATE TABLE [TEST_CYCLE_PROJECT_ENV](
 [TEST_CYCLE_PROJECT_ID] [numeric] (19)  NOT NULL,
 [ENVIRONMENT]           [varchar] (256) NOT NULL,
 CONSTRAINT [TEST_CYCLE_PROJECT_ENV_PK] PRIMARY KEY
 (
 [TEST_CYCLE_PROJECT_ID], 
 [ENVIRONMENT]
 )
);
GO

CREATE TABLE [TEST_CYCLE_PROJECT_USER](
    [TEST_CYCLE_PROJECT_ID] [numeric] (19) NOT NULL,
    [USERNAME]              [varchar] (256) NOT NULL,
    [JOINED_DATE]  [numeric] (20)    NOT NULL,
 CONSTRAINT [TEST_CYCLE_PROJECT_USR_PK] PRIMARY KEY
 (
 [TEST_CYCLE_PROJECT_ID], 
 [USERNAME]
 )
);
GO

CREATE INDEX [TEST_CYCLE_EXECUTIONID_FK] ON [TEST_CYCLE] ([EXECUTION_ID]);
GO

CREATE INDEX [TCP_TEST_CYCLE_ID_FK] ON [TEST_CYCLE_PROJECT] ([TEST_CYCLE_ID]);
GO

CREATE INDEX [TCP_PROJECTID_FK] ON [TEST_CYCLE_PROJECT] ([PROJECT_ID]);
GO

CREATE INDEX [TCPE_TEST_CYCLE_PROJECTID_FK] ON [TEST_CYCLE_PROJECT_ENV] ([TEST_CYCLE_PROJECT_ID]);
GO

CREATE INDEX [TCPU_TEST_CYCLE_PROJECTID_FK] ON [TEST_CYCLE_PROJECT_USER] ([TEST_CYCLE_PROJECT_ID]);
GO

ALTER TABLE [TEST_CYCLE]
ADD FOREIGN KEY ([EXECUTION_ID])
REFERENCES [EXECUTION] ([ID]);
GO

ALTER TABLE [TEST_CYCLE_PROJECT]
ADD FOREIGN KEY ([TEST_CYCLE_ID])
REFERENCES [TEST_CYCLE] ([ID]) ON DELETE CASCADE;
GO

ALTER TABLE [TEST_CYCLE_PROJECT]
ADD FOREIGN KEY ([PROJECT_ID])
REFERENCES [PROJECT] ([ID]);
GO

ALTER TABLE [TEST_CYCLE_PROJECT_ENV]
ADD FOREIGN KEY ([TEST_CYCLE_PROJECT_ID])
REFERENCES [TEST_CYCLE_PROJECT] ([ID]) ON DELETE CASCADE;
GO

ALTER TABLE [TEST_CYCLE_PROJECT_USER]
ADD FOREIGN KEY ([TEST_CYCLE_PROJECT_ID])
REFERENCES [TEST_CYCLE_PROJECT] ([ID]) ON DELETE CASCADE;
GO

BEGIN TRANSACTION;
INSERT INTO db_details VALUES
 (GETDATE(), 'schema.version.number', '1.9.24.c');
COMMIT TRANSACTION;
